Skip to Content
0
Former Member
Oct 12, 2006 at 06:16 PM

IDOC Segment Version

37 Views

Hi,

My requirement is that I need to post an IDOC with segment version 3.1H.

I have imported metadata for 6.40 ( I have no choice of picking up the Segment Version while importing in IDX2). I configured receiver IDOC Adapter with Segment Version option set to 31H.

Now I run in to error at runtime

<SAP:Category>XIAdapter</SAP:Category>

<SAP:Code area="IDOC_ADAPTER">ATTRIBUTE_IDOC_METADATA</SAP:Code>

Obligatory Node E1EDK01 not present.

I have already tried to re-import the metadata.

I ran the report IDX_CHECK_METADATA to check for any inconsistencies. There are none.

Any clues what is going wrong here?

FYI, the integration runs find if I remove the 31H from the Segment Version in the IDOC Adapter.